Bug 8338 - 2.4.0 upgrade scripts disrupt 2.3.x upgrade scripts
2.4.0 upgrade scripts disrupt 2.3.x upgrade scripts
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.4.3
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 10:00 PDT by Alec Smecher
Modified: 2013-07-26 10:57 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2013-07-26 10:00:42 PDT
See https://github.com/pkp/ojs/commit/03018a4ef38b8c24faac8f2c4c1dfcd8a87f2fc7#commitcomment-3659506 for details. OJS 2.3.x post-upgrade scripts that affect articles, published_articles and article_galleys are potentially run on empty tables. This affects e.g. the date_published corrections released as part of the 2.3.5 upgrade.
Comment 1 Alec Smecher 2013-07-26 10:01:35 PDT
See https://github.com/pkp/ojs/commit/4a5080d0f3fe5ae9f8a6f5f2fa58f54af45cbefd for relevant commit.
Comment 2 Alec Smecher 2013-07-26 10:57:02 PDT
Fix upgrade process via 2.4.0 (OJS master port)
https://github.com/pkp/ojs/commit/29ab3ec386d6df9e486f70e238c94b3ecec3f0c6